var gameStartSkin=gameStartSkin||{};
gameStartSkin.GameStartSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameStartSkin.GameStartSkin,F2xContainer);
gameStartSkin.GameStartSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d1=Flash2x.t(0,decodeURI("*%E5%85%91%E6%8D%A2%E9%A1%B9%E4%B8%8E%E6%B4%BB%E5%8A%A8%E5%9D%87%E4%B8%8E%E8%AE%BE%E5%A4%87%E5%88%B6%E9%80%A0%E5%95%86Apple%20Inc.%E5%85%AC%E5%8F%B8%E6%97%A0%E5%85%B3"),18,"#000000","Microsoft YaHei",0,0,496,26.4,25.75,"center",false,false,"multiline",false);
	_d1.name="exemptionTxt";
	s.exemptionTxt=_d1;
	Flash2x.d(_d1,{x:72,y:960});
	var _d0=Flash2x.t(0,decodeURI("xx%E7%A7%AF%E5%88%86/%E6%AC%A1"),26,"#000000","Microsoft YaHei",0,0,436,34.3,36.3,"center",false,true,"single",false);
	_d0.name="countTxt";
	s.countTxt=_d0;
	Flash2x.d(_d0,{x:102,y:900});
	var _d6=new gameStartSkin.F2xAuto_2();
	_d6.initButton();
	_d6.name="startBtn";
	s.startBtn=_d6;
	Flash2x.d(_d6,{x:69,y:741});
	_d6.initButton();
	var _d5=new gameStartSkin.F2xAuto_3();
	_d5.initButton();
	_d5.name="ruleBtn";
	s.ruleBtn=_d5;
	Flash2x.d(_d5,{x:145,y:32});
	_d5.initButton();
	var _d4=new gameStartSkin.F2xAuto_0();
	_d4.initButton();
	_d4.name="recordBtn";
	s.recordBtn=_d4;
	Flash2x.d(_d4,{x:534});
	_d4.initButton();
	var _d3=new gameStartSkin.F2xAuto_1();
	_d3.initButton();
	_d3.name="realTimeRankBtn";
	s.realTimeRankBtn=_d3;
	Flash2x.d(_d3,{x:334,y:32});
	_d3.initButton();
	var _d2=Flash2x.b("gameStartSkin","bg");
	s.addChild(_d2);
	s.addChild(_d3);
	s.addChild(_d4);
	s.addChild(_d5);
	s.addChild(_d6);
	s.addChild(_d0);
	s.addChild(_d1);
	//f2x_auto_created_init_end
	
};
